# Module `wibox.layout.rotate`

### Info:

- Copyright: 2010 Uli Schlachter
- Release: v3.5.4
- Author: Uli Schlachter

## Functions

draw (wibox, cr, width, height) | Draw this layout
fit (width, height) | Fit this layout into the given area
set_widget (widget) | Set the widget that this layout rotates.
reset () | Reset this layout.
set_direction (dir) | Set the direction of this rotating layout.
get_direction () | Get the direction of this rotating layout

## Functions

draw (wibox, cr, width, height)
  Draw this layout

  ### Parameters:

  - wibox
  - cr
  - width
  - height
fit (width, height)
  Fit this layout into the given area

  ### Parameters:

  - width
  - height
set_widget (widget)
  Set the widget that this layout rotates.

  ### Parameters:

  - widget
reset ()
  Reset this layout. The widget will be removed and the rotation reset.
set_direction (dir)
  Set the direction of this rotating layout. Valid values are "north", "east", "south" and "west". On an invalid value, this function will throw an error.

  ### Parameters:

  - dir
get_direction ()
  Get the direction of this rotating layout

generated by LDoc 1.4.2